Activate a gym
curl --request POST \
--url https://api.wodup.dev/api/public/gyms/{id}/activate \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.wodup.dev/api/public/gyms/{id}/activate"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.wodup.dev/api/public/gyms/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "info@antarctica-fitness.com",
"id": "gym_abc123",
"integration_platform_id": "5d568208-31d7-4c0f-93d7-e2ad5d688c8d",
"integration_status": "active",
"name": "Antarctica Fitness",
"time_zone": "Antarctica/South_Pole"
}{
"errors": {}
}{
"errors": {}
}Gyms
Activate a gym
Requires a platform API key.
POST
/
api
/
public
/
gyms
/
{id}
/
activate
Activate a gym
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
ID of gym to activate
Example:
"gym_123abc"
Response
Gym
An organization on WodUp
Gym email address
Gym ID
ID of gym on source platform.
Integration status. Active gyms can access the WodUp admin dashboard and will be billed to the integration provider. Inactive gyms must purchase a WodUp subscription to use the service. Internal gyms are used for testing.
Available options:
active, inactive, internal Gym name
Gym time zone